## Do not use the RC2 symmetric block cipher.

### Summary

The RC2 symmetric block cipher should not be used without careful review.

### Details

The [RC2](https://en.wikipedia.org/wiki/RC2) algorithm is a relatively old symmetric block cipher that is
vulnerable to a related-key attack with 2^34 chosen plaintexts. In addition, as a 64-bit block cipher, it is unsuitable
for encrypting more than about 30 GB with a single key. There could also 

In general, use of RC2 could be replaced with AES.

For more information, see:
* [Related-Key Cryptanalysis of 3-WAY, Biham-DES,CAST, DES-X, NewDES, RC2, and TEA](https://www.schneier.com/academic/paperfiles/paper-relatedkey.pdf) by John Kelsey, Bruce Schneier, and David Wagner.
* [Is RC2-CBC at all secure?](https://security.stackexchange.com/questions/93924/is-rc2-cbc-at-all-secure)

### Severity Considerations

All use of RC2 should be carefully reviewed to ensure both the implementation and the usage context is secure.

