## Secure flag is disabled for cookies in .NET

### Summary

Disabling the Secure flag on cookies allows them to be sent over insecure channels, resulting in exposure of sensitive cookie contents.

### Details

Cookies can contain the user state or other sensitive information which would be harmful if leaked to third-parties. By setting the Secure flag on cookies as a best practice, this prevents those cookies from being transmitted in clear text, preventing such a leak from happening. 

### References

* [https://owasp.org/www-community/controls/SecureCookieAttribute](https://owasp.org/www-community/controls/SecureCookieAttribute)
